Subject: bug#21746: 24.5; purpose of dired-keep-marker-copy?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Oct 2015 11:50:50 +0300

> Date: Sat, 24 Oct 2015 01:34:01 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > > But if none of them is preloaded, what is it that we do with dired.el
> > > > and don't do with the other two packages?
> > >
> > > We load dired.el when you use `C-x d' (or `C-x 4 d' etc.).
> > > We do not load the other two when you do that.  I think we
> > > should.  We should consider them an integral part of Dired,
> > > including for documentation purposes.  I see no reason not
> > > to.
> > 
> > Would adding to dired.el autoload cookies for the commands and options
> > in the other 2 packages have the same effect, as far as
> > discoverability is concerned, as loading them?  If not, what will be
> > missing?
> 
> If I understand you correctly, no.  The point is to make
> their commands and menu items apparent from the outset in
> Dired.  IIUYC, what you describe would have Dired start
> without them, and only if someone used one of their commands
> would they be loaded.  That doesn't help discovery of what
> they have to offer.

The commands will be apparent if we use autoload cookies, if by
"apparent" you mean the help command will know about them (if you mean
something else, please tell).  If we want them to be in the menus, we
could perhaps add the missing menu items (I didn't check if that will
work, though).

Once again, patches are welcome.